viralquery

Get visual, spoken, and on-screen hooks for videos in the tenant library

GET
/v1/hooks

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Range1 <= value <= 25

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hooks"
{
  "hooks": [
    {
      "video": {
        "id": "string",
        "platform": "string",
        "externalId": "string",
        "sourceUrl": "http://example.com",
        "postedAt": 0,
        "firstSeenAt": 0,
        "lastSeenAt": 0,
        "metadata": null,
        "metrics": {
          "views": 0,
          "likes": 0,
          "comments": 0,
          "shares": 0,
          "saves": 0,
          "observedAt": 0
        }
      },
      "visual": null,
      "spoken": "string",
      "onScreenText": "string",
      "version": 0
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "subscription_required",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}